| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::RNG_MT19937 Class Reference
Core functionality » Operations on arrays

Mersenne Twister random number generator. More...

`#include <opencv2/core.hpp>`

## Public Member Functions
| RNG_MT19937 ()
| RNG_MT19937 (unsigned s)
unsigned | next ()
| operator double ()
| operator float ()
| operator unsigned ()
unsigned | operator() (unsigned N)
unsigned | operator() ()
void | seed (unsigned s)
int | uniform (int a, int b)
| returns uniformly distributed integer random number from [a,b) range More...
float | uniform (float a, float b)
| returns uniformly distributed floating-point random number from [a,b) range More...
double | uniform (double a, double b)
| returns uniformly distributed double-precision floating-point random number from [a,b) range More...

## Detailed Description

Mersenne Twister random number generator.

Inspired by http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/MT2002/CODES/mt19937ar.c

Todo:
  document

## Constructor & Destructor Documentation

## ◆ RNG_MT19937() [1/2]

cv::RNG_MT19937::RNG_MT19937 | ( |  | ) |

## ◆ RNG_MT19937() [2/2]

cv::RNG_MT19937::RNG_MT19937 | ( | unsigned | s | ) |

## Member Function Documentation

## ◆ next()

unsigned cv::RNG_MT19937::next | ( |  | ) |

## ◆ operator double()

cv::RNG_MT19937::operator double | ( |  | ) |

## ◆ operator float()

cv::RNG_MT19937::operator float | ( |  | ) |

## ◆ operator unsigned()

cv::RNG_MT19937::operator unsigned | ( |  | ) |

## ◆ operator()() [1/2]

unsigned cv::RNG_MT19937::operator() | ( | unsigned | N | ) |

## ◆ operator()() [2/2]

unsigned cv::RNG_MT19937::operator() | ( |  | ) |

## ◆ seed()

void cv::RNG_MT19937::seed | ( | unsigned | s | ) |

## ◆ uniform() [1/3]

int cv::RNG_MT19937::uniform | ( | int | a,
|  | int | b
| ) |  |

returns uniformly distributed integer random number from [a,b) range

## ◆ uniform() [2/3]

float cv::RNG_MT19937::uniform | ( | float | a,
|  | float | b
| ) |  |

returns uniformly distributed floating-point random number from [a,b) range

## ◆ uniform() [3/3]

double cv::RNG_MT19937::uniform | ( | double | a,
|  | double | b
| ) |  |

returns uniformly distributed double-precision floating-point random number from [a,b) range

The documentation for this class was generated from the following file:

- opencv2/core.hpp